## oss4sink

oss4sink

## Properties

gchar * | device | Read / Write
gchar * | device-name | Read
gboolean | mute | Read / Write
gdouble | volume | Read / Write

## Types and Values

struct | GstOss4Sink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstAudioSink
                                ╰── GstOss4Sink

## Implemented Interfaces

GstOss4Sink implements GstStreamVolume and GstPropertyProbe.

## Description

This element lets you output sound using the Open Sound System (OSS) version 4.

Note that you should almost always use generic audio conversion elements like audioconvert and audioresample in front of an audiosink to make sure your pipeline works under all circumstances (those conversion elements will act in passthrough-mode if no conversion is necessary).

### Example pipelines

    1

    gst-launch-1.0 -v audiotestsrc ! audioconvert ! volume volume=0.1 ! oss4sink

will output a sine wave (continuous beep sound) to your sound card (with a very low volume as precaution).

    1

    gst-launch-1.0 -v filesrc location=music.ogg ! decodebin ! audioconvert ! audioresample ! oss4sink

will play an Ogg/Vorbis audio file and output it using the Open Sound System version 4.

## Synopsis

### Element Information

plugin | oss4
author | Tim-Philipp Müller <tim centricular net>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-alaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-mulaw, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]
| audio/x-raw, format=(string){ S32LE, S32BE, S24_32LE, S24_32BE, S24LE, S16LE, S16BE, U16LE, U16BE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 192000 ], channels=(int)[ 1, 4096 ]

## Functions

## Types and Values

### struct GstOss4Sink

    struct GstOss4Sink;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS4 device (e.g. /dev/oss/hdaudio0/pcm0 or /dev/dspN) (NULL = use first available playback device).

Owner: GstOss4Sink

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Owner: GstOss4Sink

Flags: Read

Default value: NULL

### The `“mute”` property

      “mute”                     gboolean

Mute state of this stream.

Owner: GstOss4Sink

Flags: Read / Write

Default value: FALSE

### The `“volume”` property

      “volume”                   gdouble

Linear volume of this stream, 1.0=100%.

Owner: GstOss4Sink

Flags: Read / Write

Allowed values: [0,10]

Default value: 1